Page MenuHomePhabricator

[cmake] Use CMAKE_GENERATOR to determine if Ninja is used
ClosedPublic

Authored by mcf on Mar 30 2020, 1:50 PM.

Details

Summary

The name of the make program does not necessarily match "ninja",
especially if an alternative implementation like samurai is used.

Using CMAKE_GENERATOR is a more robust detection method, and is
already used elsewhere in this file.

Diff Detail

Event Timeline

mcf created this revision.Mar 30 2020, 1:50 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 30 2020, 1:50 PM
thakis accepted this revision.Mar 30 2020, 9:07 PM
This revision is now accepted and ready to land.Mar 30 2020, 9:07 PM
mcf added a comment.Mar 31 2020, 1:36 PM

Thanks! I don't have commit access. Are you able to submit this change?

mcf added a comment.Apr 14 2020, 7:28 PM

Ping. What do I need to do to submit this change?

mcf added a reviewer: hans.Jul 7 2020, 10:45 PM
This revision was automatically updated to reflect the committed changes.